local BOARD_COLUMNS = 256
local BOARD_ROWS = 256
local ROOM_COLUMNS = 16
local ROOM_ROWS = 16
local MAZE_COLUMNS = BOARD_COLUMNS / ROOM_COLUMNS
local MAZE_ROWS = BOARD_ROWS / ROOM_ROWS
local DOOR_COLORS = 4
local INVENTORY_SLOTS = 16
local DIAMOND_CAPACITY = 32
local DIAMONDS_NONDEADEND = 512
local DIAMONDS_DEADEND = 512
local DIAMONDS_TOTAL = DIAMONDS_DEADEND + DIAMONDS_NONDEADEND
local GOODIEHUT_COUNT = 8
local HEALTH_MAXIMUM = 16
local MANA_MAXIMUM = 16
local BOLT_MOVEINTERVAL = 0.05
local AVATAR_MOVECOOLDOWN = 0.1
local AVATAR_ATTACKDOOLDOWN = 0.5
local AVATAR_ATTACKMANA = 1
local AVATAR_MANAREGENERATIONCOOLDOWN = 15
local AVATAR_MANAREGENERATIONRATE = 1
local ENEMY_MOVECOOLDOWN = 0.2
local ENEMY_ATTACKCOOLDOWN = 0.75
local ENEMY_HEALTH = 4
local ENEMYSPAWNER_HEALTH = 8
local ENEMYSPAWNER_SPAWNCOOLDOWN = 10
local ENEMYSPAWNER_COUNT = 16

local MAPPANE_COLUMNS = 29
local MAPPANE_ROWS = 27
local MAPPANE_OFFSETX = -14
local MAPPANE_OFFSETY = -13

local lib = {}

function lib.ENEMYSPAWNER_COUNT() return ENEMYSPAWNER_COUNT end
function lib.ENEMYSPAWNER_HEALTH() return ENEMYSPAWNER_HEALTH end
function lib.ENEMYSPAWNER_SPAWNCOOLDOWN() return ENEMYSPAWNER_SPAWNCOOLDOWN end
function lib.ENEMY_HEALTH() return ENEMY_HEALTH end
function lib.ENEMY_MOVECOOLDOWN() return ENEMY_MOVECOOLDOWN end
function lib.ENEMY_ATTACKCOOLDOWN() return ENEMY_ATTACKCOOLDOWN end
function lib.AVATAR_MANAREGENERATIONRATE() return AVATAR_MANAREGENERATIONRATE end
function lib.AVATAR_MANAREGENERATIONCOOLDOWN() return AVATAR_MANAREGENERATIONCOOLDOWN end
function lib.AVATAR_ATTACKMANA() return AVATAR_ATTACKMANA end
function lib.BOLT_MOVEINTERVAL() return BOLT_MOVEINTERVAL end
function lib.AVATAR_MOVECOOLDOWN() return AVATAR_MOVECOOLDOWN end
function lib.AVATAR_ATTACKDOOLDOWN() return AVATAR_ATTACKDOOLDOWN end
function lib.MANA_MAXIMUM() return MANA_MAXIMUM end
function lib.HEALTH_MAXIMUM() return HEALTH_MAXIMUM end
function lib.GOODIEHUT_COUNT() return GOODIEHUT_COUNT end
function lib.DIAMOND_CAPACITY() return DIAMOND_CAPACITY end
function lib.DIAMONDS_TOTAL() return DIAMONDS_TOTAL end
function lib.DIAMONDS_NONDEADEND() return DIAMONDS_NONDEADEND end
function lib.DIAMONDS_DEADEND() return DIAMONDS_DEADEND end
function lib.INVENTORY_SLOTS() return INVENTORY_SLOTS end
function lib.DOOR_COLORS() return DOOR_COLORS end
function lib.BOARD_COLUMNS() return BOARD_COLUMNS end
function lib.BOARD_ROWS() return BOARD_ROWS end
function lib.ROOM_COLUMNS() return ROOM_COLUMNS end
function lib.ROOM_ROWS() return ROOM_ROWS end
function lib.MAZE_COLUMNS() return ROOM_COLUMNS end
function lib.MAZE_ROWS() return ROOM_ROWS end
function lib.MAPPANE_COLUMNS() return MAPPANE_COLUMNS end
function lib.MAPPANE_ROWS() return MAPPANE_ROWS end
function lib.MAPPANE_OFFSETX() return MAPPANE_OFFSETX end
function lib.MAPPANE_OFFSETY() return MAPPANE_OFFSETY end

return lib